#[cfg(test)]
mod tests {
  use crate::TokenService;

  #[tokio::test]
  async fn test_new() {
    let service = TokenService::new("testapi");
    assert_eq!(service.endpoint, "testapi");
  }
  #[tokio::test]
  async fn test_connect() {
    let service = TokenService::new("testapi");
    let api = service.connect().await.unwrap();
    assert_eq!(api.main, "testapi_main");
    assert_eq!(api.octokit, "testapi_octokit");
    assert_eq!(api.postgres_uri, "postgres://testapi_user:testapi_password@localhost:5432/testapi");
    assert_eq!(api.redis_uri, "redis://localhost:6379");
    assert_eq!(api.youtube, "testapi_youtube");
    assert_eq!(api.wg_pms, "testapi_wg_pms");
  }
}
